aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoni Jantti <joni.jantti@qt.io>2018-01-05 09:17:50 +0200
committerLiang Qi <liang.qi@qt.io>2018-01-05 20:05:38 +0000
commit82a6a9347f32388b41b3655194cb08afd7cdf359 (patch)
tree531954f90e4f67e70894e6d22f95a835feec9ac2
parent4fb893fcf8ef55ff3ebbdf684c4d1cfab913cea0 (diff)
Provisioning: Ubuntu 16.04 - Set timezone to UTC
Task-number: QTBUG-65435 Change-Id: I329926d0f83d47c9e69eee177c600ac629ee9415 Reviewed-by: Heikki Halmet <heikki.halmet@qt.io>
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh
index b44c3014..f245c90c 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/01-systemsetup.sh
@@ -52,6 +52,8 @@ ExceptionProxy=104
try
(
+ echo "Set timezone to UTC" || throw $ExceptionTimezone
+ sudo timedatectl set-timezone Etc/UTC
echo "Timeout for blanking the screen (0 = never)"
gsettings set org.gnome.desktop.session idle-delay 0 || throw $ExceptionGsettings1
echo "Prevents screen lock when screesaver goes active."
@@ -68,6 +70,10 @@ try
)
catch || {
case $ex_code in
+ $ExceptionTimezone)
+ echo "Failed to set timezone to UTC"
+ exit 1;
+ ;;
$ExceptionGsettings1)
echo "Failed to disable black screen."
exit 1;